﻿using Netina.Common.Extensions;
using Netina.Common.Models.Mapper;
using Netina.Domain.Entities.Users;
using Netina.Domain.Enums;

namespace Netina.Domain.Dtos.SmallDtos;

public class ApplicationUserSDto : BaseDto<ApplicationUserSDto, ApplicationUser>
{

    public string PhoneNumber { get; set; } = string.Empty;
    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public DateTime BirthDate { get; set; }
    public Gender Gender { get; set; }
    public SignUpStatus SignUpStatus { get; set; }
    public string NationalId { get; set; } = string.Empty;
    public string Email { get; set; } = string.Empty;
    public string FullName => FirstName + " " + LastName;
    public string RoleName { get; set; } = string.Empty;

    public List<Guid> RoleIds { get; set; } = new();
    public long BirthDateTimeStamp => BirthDate.Year > 1970 ? DateTimeExtensions.DateTimeToUnixTimeStamp(BirthDate) : 0;
}